// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) TempCircles() TempCircles { return TempCircles(t) }

type TempCircles struct{ alias string }

func (t TempCircles) TableAlias() string { return t.alias }
func (t TempCircles) name() string       { return "TempCircles" }
func (t TempCircles) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t TempCircles) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.ID(),
		c.Kind(),
		c.Name(),
		c.ChatID(),
		c.GroupID(),
		c.Options(),
		c.UrlName(),
		c.ImageUrl(),
		c.IsHidden(),
		c.ParentID(),
		c.SortedOn(),
		c.CreatedAt(),
		c.DeletedAt(),
		c.IsPrivate(),
		c.MetaWords(),
		c.Migration(),
		c.RulesText(),
		c.RulesType(),
		c.IsVerified(),
		c.PostsCount(),
		c.ViewsCount(),
		c.Visibility(),
		c.Description(),
		c.ImageFileURL(),
		c.JoinRequests(),
		c.LanguageCode(),
		c.MembersCount(),
		c.ReportsCount(),
		c.MigrationStatus(),
		c.CoverImageFileURL(),
	}
}

func (t TempCircles) Columns() TempCirclesCols { return TempCirclesCols{tableAlias: t.alias} }

type TempCirclesCols struct{ tableAlias string }

func (c TempCirclesCols) ID() string              { return colName(c.tableAlias, "ID") }              // STRING(36)
func (c TempCirclesCols) Kind() string            { return colName(c.tableAlias, "Kind") }            // INT64
func (c TempCirclesCols) Name() string            { return colName(c.tableAlias, "Name") }            // STRING(256)
func (c TempCirclesCols) ChatID() string          { return colName(c.tableAlias, "ChatID") }          // STRING(36) NULL DEFAULT (NULL)
func (c TempCirclesCols) GroupID() string         { return colName(c.tableAlias, "GroupID") }         // STRING(36)
func (c TempCirclesCols) Options() string         { return colName(c.tableAlias, "Options") }         // JSON NULL DEFAULT (NULL)
func (c TempCirclesCols) UrlName() string         { return colName(c.tableAlias, "UrlName") }         // STRING(256) NULL DEFAULT (NULL)
func (c TempCirclesCols) ImageUrl() string        { return colName(c.tableAlias, "ImageUrl") }        // STRING(1024) NULL
func (c TempCirclesCols) IsHidden() string        { return colName(c.tableAlias, "IsHidden") }        // BOOL NULL
func (c TempCirclesCols) ParentID() string        { return colName(c.tableAlias, "ParentID") }        // STRING(36) NULL
func (c TempCirclesCols) SortedOn() string        { return colName(c.tableAlias, "SortedOn") }        // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) CreatedAt() string       { return colName(c.tableAlias, "CreatedAt") }       // TIMESTAMP OPTIONS (allow_commit_timestamp = true)
func (c TempCirclesCols) DeletedAt() string       { return colName(c.tableAlias, "DeletedAt") }       // TIMESTAMP NULL DEFAULT (NULL)
func (c TempCirclesCols) IsPrivate() string       { return colName(c.tableAlias, "IsPrivate") }       // BOOL NULL
func (c TempCirclesCols) MetaWords() string       { return colName(c.tableAlias, "MetaWords") }       // JSON NULL DEFAULT (NULL)
func (c TempCirclesCols) Migration() string       { return colName(c.tableAlias, "Migration") }       // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) RulesText() string       { return colName(c.tableAlias, "RulesText") }       // STRING(2048) NULL
func (c TempCirclesCols) RulesType() string       { return colName(c.tableAlias, "RulesType") }       // INT64 NULL
func (c TempCirclesCols) IsVerified() string      { return colName(c.tableAlias, "IsVerified") }      // BOOL NULL DEFAULT (FALSE)
func (c TempCirclesCols) PostsCount() string      { return colName(c.tableAlias, "PostsCount") }      // INT64
func (c TempCirclesCols) ViewsCount() string      { return colName(c.tableAlias, "ViewsCount") }      // INT64
func (c TempCirclesCols) Visibility() string      { return colName(c.tableAlias, "Visibility") }      // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) Description() string     { return colName(c.tableAlias, "Description") }     // STRING(2048)
func (c TempCirclesCols) ImageFileURL() string    { return colName(c.tableAlias, "ImageFileURL") }    // STRING(1024) NULL DEFAULT (NULL)
func (c TempCirclesCols) JoinRequests() string    { return colName(c.tableAlias, "JoinRequests") }    // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) LanguageCode() string    { return colName(c.tableAlias, "LanguageCode") }    // STRING(2)
func (c TempCirclesCols) MembersCount() string    { return colName(c.tableAlias, "MembersCount") }    // INT64
func (c TempCirclesCols) ReportsCount() string    { return colName(c.tableAlias, "ReportsCount") }    // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) MigrationStatus() string { return colName(c.tableAlias, "MigrationStatus") } // INT64 NULL DEFAULT (0)
func (c TempCirclesCols) CoverImageFileURL() string {
	return colName(c.tableAlias, "CoverImageFileURL")
} // STRING(1024) NULL DEFAULT (NULL)
